package com.jeeplus.test.cw.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: 徐滕
 * @version: 2022-11-11 14:01
 */
@Data
@TableName("cw_project_report")
public class CwProjectReport extends BaseEntity {

    /**
     * 报告主办人
     */
    @TableField(exist = false)
    private String reportSponsor;

    private String id;

    @TableField(exist = false)
    private String projectInfoId;

    @TableField(exist = false)
    private String createName;

    private static final long serialVersionUID = 1L;

    //单据编号（字典值）
    public static final String BIZ_CODE = "13";
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 单据编号
     */
    private String documentNo;
    /**
     * 项目名称
     */
    @Query(tableColumn = "b.project_name")
    @TableField(exist = false)
    private String projectName;
    /**
     * 项目编号
     */
    @Query(tableColumn = "b.project_number")
    @TableField(exist = false)
    private String projectNumber;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 报告所属部门
     */
    private String officeId;
    /**
     * 项目经理
     */
    @Query(tableColumn = "e.name")
    @TableField(exist = false)
    private String projectMasterName;
    /**
     * 签字注师1
     */
    private String signatureAnnotator1;
    /**
     * 签字注师2
     */
    private String signatureAnnotator2;
    /**
     * 盖章类型
     */
    private String signatureType;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    //新建行数据
    @TableField(exist = false)
    List<CwProjectInfoData> cwProjectInfoList;

    @TableField(exist = false)
    private String departmentName; //部门名称

    @TableField(exist = false)
    private String userName; //用户名

    @TableField(exist = false)
    private String[] contractDates;
}
