package com.jeeplus.test.cw.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.query.Query;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.util.List;

/**
 * @author: 徐滕
 * @version: 2022-11-11 15:42
 */
@Data
public class CwProjectReportData extends BaseDTO {

    /**
     * 报告主办人
     */
    private String reportSponsor;

//    private String createBy;

    @TableField(exist = false)
    private String createById;

    @TableField(exist = false)
    private String projectInfoId;

    //单据编号（字典值）
    public static final String BIZ_CODE = "13";
    /**
     * 单据编号
     */
    private String documentNo;
    /**
     * 项目名称
     */
    @Query(tableColumn = "b.project_name")
    private String projectName;
    /**
     * 项目编号
     */
    @Query(tableColumn = "b.project_number")
    private String projectNumber;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 报告所属部门
     */
    private String officeId;
    /**
     * 项目经理
     */
    @Query(tableColumn = "e.name")
    private String projectMasterName;
    /**
     * 签字注师1
     */
    private String signatureAnnotator1;
    /**
     * 签字注师2
     */
    private String signatureAnnotator2;
    /**
     * 盖章类型
     */
    private String signatureType;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    //新建行数据
    @TableField(exist = false)
    List<CwProjectInfoData> cwProjectInfoList;

    @TableField(exist = false)
    private String departmentName; //部门名称

    @TableField(exist = false)
    private String userName; //用户名

    @TableField(exist = false)
    private String[] contractDates;

    /**
     * 签章documentId
     */
    private String signatureDocumentId;

    /**
     * 签章contractId
     */
    private String signatureContractId;
}
