package com.jeeplus.test.cw.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.projectReport.domain.CwProjectInfoData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 新增行数据
 * @author: 王强
 * @create: 2022-11-16 20:40
 **/
@Mapper
public interface CwProjectInfoMapper extends BaseMapper<CwProjectInfoData> {

    List<CwProjectInfoData> selectIdByReportId(String id);

    List<CwProjectInfoData> selectByReportId(String id);

    /**
     * 去报废的报告文号表中查报告文号
     * @return
     */
    List<String> getReportNo();

    List<CwProjectInfoData> selectInfoByReportId(String id);

    /**
     * 根据项目编码查流水号
     * @param projectNo
     * @return
     */
    String selectReportNumberByProjectNo(String projectNo);

    CwProjectInfoData getById(String id);

    /**
     * 根据报告id删除行信息
     * @param id
     */
    void deleteByReportId(String id);

    List<String> getId(String reportId);
}
