package com.jeeplus.test.cw.workClientInfo.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 财务-客户信息管理-客户基本信息
 * @TableName cw_work_client_base
 */
@Data
public class CwWorkClientBaseDTO extends BaseDTO {

    public static final String BIZ_CODE = "11";

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 客户编号
     */
    private String no;

    /**
     * 客户名称
     */
    private String name;

    /**
     * 客户简称
     */
    private String abbreviation;

    /**
     * 英文名称
     */
    private String englishName;

    /**
     * 客户类型
     */
    private String type;

    /**
     * 统一社会信用代码
     */
    private String uscCode;

    /**
     * 特殊客户类型
     */
    private String scType;

    /**
     * 管理级次分类
     */
    private String manageLevelType;

    /**
     * 上一级公司
     */
    private String oneUpCompany;

    /**
     * 上一级公司名称
     */
    private String oneUpCompanyName;

    /**
     * 公司级次
     */
    private String companyLevel;

    /**
     * 经营范围
     */
    private String businessScope;

    /**
     * 主要职责
     */
    private String keyResponsibilities;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 企业隶属关系划分
     */
    private String affiliation;

    /**
     * 按组织类型分类
     */
    private String organizationType;

    /**
     * 客户报备类型
     */
    private String reportType;

    /**
     * 上级部门
     */
    private String oneUpOffice;

    /**
     * 登记证书号码
     */
    private String registrationCert;

    /**
     * 批准机构
     */
    private String approvingBodies;

    /**
     * 所属部门
     */
    private String officeId;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 审核通过时间
     */
    private Date agreeDate;

    /**
     * 审核人
     */
    private String agreeUserId;

    /**
     * 客户类型
     */
    private CwWorkClientTypeDTO cwWorkClientTypeDTO;

    /**
     * 开票信息
     */
    private List<CwWorkClientBillingDTO> cwWorkClientBillingDTOList;

    /**
     * 联系人信息
     */
    private List<CwWorkClientContactDTO> cwWorkClientContactDTOList;

    /**
     * 附件
     */
    private List<WorkAttachmentDto> workAttachmentDtoList;

    /**
     * 创建时间
     */
    private String[] createDates;

    /**
     * 项目id
     */
    private String projectId;

    private static final long serialVersionUID = 1L;
}